### Hierarchy

- XMLHttpRequestEventTarget
  - XMLHttpRequest

## Index

### Properties

- DONE
- HEADERS_RECEIVED
- LOADING
- OPENED
- UNSENT
- XMLHttpRequestEventTarget
- onabort
- onerror
- onload
- onloadend
- onloadstart
- onprogress
- onreadystatechange
- ontimeout
- readyState
- response
- responseText
- responseType
- responseURL
- responseXML
- status
- statusText
- timeout
- upload
- withCredentials

### Methods

- abort
- addEventListener
- dispatchEvent
- getAllResponseHeaders
- getResponseHeader
- open
- overrideMimeType
- removeEventListener
- send
- setRequestHeader

## Properties

### DONE

DONE: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16888

### HEADERS_RECEIVED

HEADERS_RECEIVED: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16889

### LOADING

LOADING: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16890

### OPENED

OPENED: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16891

### UNSENT

UNSENT: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16892

### XMLHttpRequestEventTarget

XMLHttpRequestEventTarget: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16933

#### Type declaration

- ##### constructor: function

  - new __type(): XMLHttpRequestEventTarget
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16934

    #### Returns XMLHttpRequestEventTarget

- ##### prototype: XMLHttpRequestEventTarget

### onabort

onabort: function | null

Inherited from XMLHttpRequestEventTarget.onabort

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16920

### onerror

onerror: function | null

Inherited from XMLHttpRequestEventTarget.onerror

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16921

### onload

onload: function | null

Inherited from XMLHttpRequestEventTarget.onload

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16922

### onloadend

onloadend: function | null

Inherited from XMLHttpRequestEventTarget.onloadend

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16923

### onloadstart

onloadstart: function | null

Inherited from XMLHttpRequestEventTarget.onloadstart

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16924

### onprogress

onprogress: function | null

Inherited from XMLHttpRequestEventTarget.onprogress

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16925

### onreadystatechange

onreadystatechange: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16799

### ontimeout

ontimeout: function | null

Inherited from XMLHttpRequestEventTarget.ontimeout

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16926

### readyState

readyState: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16803

Returns client's state.

### response

response: any

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16807

Returns the response's body.

### responseText

responseText: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16812

Returns the text response. Throws an "InvalidStateError" DOMException if responseType is not the empty string or "text".

### responseType

responseType: XMLHttpRequestResponseType

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16826

Returns the response type. Can be set to change the response type. Values are: the empty string (default), "arraybuffer", "blob", "document", "json", and "text". When set: setting to "document" is ignored if current global object is not a Window object. When set: throws an "InvalidStateError" DOMException if state is loading or done. When set: throws an "InvalidAccessError" DOMException if the synchronous flag is set and current global object is a Window object.

### responseURL

responseURL: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16827

### responseXML

responseXML: Document | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16832

Returns the document response. Throws an "InvalidStateError" DOMException if responseType is not the empty string or "document".

### status

status: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16833

### statusText

statusText: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16834

### timeout

timeout: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16841

Can be set to a time in milliseconds. When set to a non-zero value will cause fetching to terminate after the given time has passed. When the time has passed, the request has not yet completed, and the synchronous flag is unset, a timeout event will then be dispatched, or a "TimeoutError" DOMException will be thrown otherwise (for the send() method). When set: throws an "InvalidAccessError" DOMException if the synchronous flag is set and current global object is a Window object.

### upload

upload: XMLHttpRequestUpload

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16846

Returns the associated XMLHttpRequestUpload object. It can be used to gather transmission information when data is transferred to a server.

### withCredentials

withCredentials: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16853

True when credentials are to be included in a cross-origin request. False when they are to be excluded in a cross-origin request and when cookies are to be ignored in its response. Initially false. When set: throws an "InvalidStateError" DOMException if state is not unsent or opened, or if the send() flag is set.

## Methods

### abort

- abort(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16857

  Cancels any network activity.

  #### Returns void

### addEventListener

- addEventListener<K>(type: K, listener: function, options?: boolean | AddEventListenerOptions): void
- addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void

- Overrides XMLHttpRequestEventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16893

  #### Type parameters

  - #### K: keyof XMLHttpRequestEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: XMLHttpRequest, ev: XMLHttpRequestEventMap[K]): any

      - #### Parameters

        - ##### this: XMLHttpRequest

        - ##### ev: XMLHttpRequestEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

- Overrides XMLHttpRequestEventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16894

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

### dispatchEvent

- dispatchEvent(event: Event): boolean

- Inherited from EventTarget.dispatchEvent

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5074

  Dispatches a synthetic event event to target and returns true if either event's cancelable attribute value is false or its preventDefault() method was not invoked, and false otherwise.

  #### Parameters

  - ##### event: Event

  #### Returns boolean

### getAllResponseHeaders

- getAllResponseHeaders(): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16858

  #### Returns string

### getResponseHeader

- getResponseHeader(name: string): string | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16859

  #### Parameters

  - ##### name: string

  #### Returns string | null

### open

- open(method: string, url: string): void
- open(method: string, url: string, async: boolean, username?: string | null, password?: string | null): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16868

  Sets the request method, request URL, and synchronous flag. Throws a "SyntaxError" DOMException if either method is not a valid HTTP method or url cannot be parsed. Throws a "SecurityError" DOMException if method is a case-insensitive match for `CONNECT`, `TRACE`, or `TRACK`. Throws an "InvalidAccessError" DOMException if async is false, current global object is a Window object, and the timeout attribute is not zero or the responseType attribute is not the empty string.

  #### Parameters

  - ##### method: string

  - ##### url: string

  #### Returns void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16869

  #### Parameters

  - ##### method: string

  - ##### url: string

  - ##### async: boolean

  - ##### Optional username: string | null

  - ##### Optional password: string | null

  #### Returns void

### overrideMimeType

- overrideMimeType(mime: string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16875

  Acts as if the `Content-Type` header value for response is mime. (It does not actually change the header though.) Throws an "InvalidStateError" DOMException if state is loading or done.

  #### Parameters

  - ##### mime: string

  #### Returns void

### removeEventListener

- removeEventListener<K>(type: K, listener: function, options?: boolean | EventListenerOptions): void
- removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void

- Overrides XMLHttpRequestEventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16895

  #### Type parameters

  - #### K: keyof XMLHttpRequestEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: XMLHttpRequest, ev: XMLHttpRequestEventMap[K]): any

      - #### Parameters

        - ##### this: XMLHttpRequest

        - ##### ev: XMLHttpRequestEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

- Overrides XMLHttpRequestEventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16896

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

### send

- send(body?: Document | BodyInit | null): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16880

  Initiates the request. The optional argument provides the request body. The argument is ignored if request method is GET or HEAD. Throws an "InvalidStateError" DOMException if either state is not opened or the send() flag is set.

  #### Parameters

  - ##### Optional body: Document | BodyInit | null

  #### Returns void

### setRequestHeader

- setRequestHeader(name: string, value: string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16887

  Combines a header in author request headers. Throws an "InvalidStateError" DOMException if either state is not opened or the send() flag is set. Throws a "SyntaxError" DOMException if name is not a header name or if value is not a header value.

  #### Parameters

  - ##### name: string

  - ##### value: string

  #### Returns void

Generated using TypeDoc